#ifndef TLS_H
#define TLS_H  1


/* ========================================================================== */
/* Include files */

#include "config.h"


#if CFG_USE_TLS


/*! \addtogroup TLS */
/* @{ */


/* @} */


/* ========================================================================== */
/* Function prototypes */

extern int  tls_init(void);
extern void  tls_exit(void);
extern int  tls_vulnerability_check(void);
extern int  tls_crl_update_check(void);
extern void  tls_crl_update_control(int);
extern int  tls_open(int, void**, int);
extern int  tls_close(void**);
extern int  tls_get_ciphersuite(void**, const char**, const char**);
extern int  tls_cert_verify(void**, void**, const char*, int);
extern int  tls_cert_get_string(void*, const char**);
extern posix_ssize_t  tls_send(void*, const void*, size_t);
extern posix_ssize_t  tls_recv(void*, void*, size_t, int);
extern void  tls_free(void*);


#endif  /* CFG_USE_TLS */


#endif  /* TLS_H */

/* EOF */
